<div class="blue-circle"></div>

<ion-header no-border>
  <ion-navbar transparent>
    <ion-title>Rocket details</ion-title>
  </ion-navbar>
</ion-header>

<ion-content parallax-header no-bounce>
  <div class="header-image">
    <div *ngIf="rocket" class="header-image-dynamic" [style.background-image]="'url(assets/imgs/rockets/' + rocket.id + '.png)'"></div>
  </div>

  <div class="main-content">
    <div *ngIf="rocket">
      <ion-card-content>
        <ion-card-title class="theme-title">
          {{ rocket.name }}
          <ion-note><ion-icon *ngIf="rocket.active" name="square" class="color-green"></ion-icon></ion-note>
          <ion-note><ion-icon *ngIf="!rocket.active" name="square"></ion-icon></ion-note>

          <div class="theme-subtitle">{{ rocket.country }}</div>
        </ion-card-title>

        <p>{{ rocket.description }}</p>
      </ion-card-content>

      <ion-grid class="border-top-grey">
        <ion-row>
          <ion-col text-center>
            <div class="font-bold">Stages</div>
            <div>{{ rocket.stages }}</div>
          </ion-col>
          <ion-col text-center>
            <div class="font-bold">Boosters</div>
            <div>{{ rocket.boosters }}</div>
          </ion-col>
          <ion-col text-center>
            <div class="font-bold">Success rate</div>
            <div>{{ rocket.success_rate_pct }}</div>
          </ion-col>
          <ion-col text-center>
            <div class="font-bold">First Flight</div>
            <div>{{ rocket.first_flight | date:'dd/MM/yyyy' }}</div>
          </ion-col>
        </ion-row>
      </ion-grid>

      <br>
      <ion-grid class="border-top-grey">
        <ion-row>
          <ion-col text-center>
            <div class="font-bold">Height</div>
            <div>{{ rocket.height.meters }} m</div>
          </ion-col>
          <ion-col text-center>
            <div class="font-bold">Diameter</div>
            <div>{{ rocket.diameter.meters }} m</div>
          </ion-col>
          <ion-col text-center>
            <div class="font-bold">Mass</div>
            <div>{{ rocket.mass.kg }} kg</div>
          </ion-col>
        </ion-row>
      </ion-grid>
    </div>
  </div>

</ion-content>
